
Redmine - Defect #17511

Wiki URL 404 when using markdown

2014-07-21 10:34 - Jakob Gillich

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I configured Redmine to use markdown for text input. On my main wiki page, I added a link:

[API](api)

 Which renders to:

<a class="external" href="api">API</a>

 But when I'm on the main page, it points to `projects/PROJECT/api` instead of `projects/PROJECT/wiki/api`, thus giving me a 404

when clicked.

Environment:

Redmine version                2.5.2.stable

Ruby version                   2.0.0-p353 (2013-11-22) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

History

#1 - 2014-08-19 05:33 - Toshi MARUYAMA

- Category set to Text formatting

#2 - 2014-08-19 05:34 - Toshi MARUYAMA

- Category changed from Text formatting to Wiki

#3 - 2014-08-23 19:07 - Frank Delahoyde

I see the same behavior with Redmine configured to use the ckeditor plugin for text input.

Environment:

Redmine version                2.5.2.stable

Ruby version                   2.0.0-p353 (2013-11-22) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               PostgreSQL

#4 - 2014-08-23 22:51 - Frank Delahoyde

Looking a little further, this behavior doesn't seem to persist if you rename the Start page to something other than Wiki.

#5 - 2014-08-24 00:04 - Frank Delahoyde

But you need to leave the Start page as "Wiki" in Settings=>Wiki for the project or it breaks again.

#6 - 2024-10-23 12:31 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

Regular relative links (like those which can be generated by markdown or Textile) are always resolved by the web browser in relation to the current

URL. These links are deliberately not post-processed as they are often used deliberately.
When linking to Wiki pages, you should instead use the direct syntax to create a full href:

[[api|API]]

 This will generate an absolute(ish) link which will always point to the specific wiki page, such as

<a class="wiki-page" href="/projects/redmine/wiki/Api">API</a>
